/** axios封装
 * 请求拦截、相应拦截、错误统一处理
 */
// 环境的切换
axios.defaults.baseURL = 'http://124.223.155.127'
axios.defaults.timeout = 50000
// post请求头
axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8'
axios.defaults.headers.common['systemId'] = '1'
axios.defaults.headers.common['accessToken'] = 'DE3BBA77F18F04E4E0B70F3B8DC0BC9243A16C3164F3DC22F467E37058EE73FD'
// 请求拦截器

axios.interceptors.request.use(config => {
	return config
})

var http = {
	get: function(url, params) {
		return new Promise((resolve, reject) => {
			axios
				.get(url, {
					params: params
				})
				.then(res => {
					resolve(res.data)
				})
				.catch(err => {
					reject(err.data)
				})
		})
	},
	post: function(url, params) {
		return new Promise((resolve, reject) => {
			axios
				.post(url, {
					params: params
				})
				.then(res => {
					let response = res.data
					console.log('res.statusCode', response)
					if(response.statusCode >= 300){
						// alert('系统发生错误')
						return
					}
					resolve(res.data)
				})
				.catch(err => {
					reject(err.data)
				})
		})
	},
}

