/**
 * author: dabao
 */
window.addEventListener("load", function() {
	var VUE = new Vue({
		el: '#app',
		data() {
			return {
				hdInspectExpert: '',
				hdLevel: '',
				username: '',
				password: '',
				value: '',
				fileList: [],
				value2: '',
				value3: '',
				pattern: /\d{6}/,
				showPopup: false,
				currentDate: '',
				createDate: '',
				showPopup4findQuestion: false,
				columns4findQuestion: ['杭州', '宁波', '温州', '绍兴', '湖州', '嘉兴', '金华', '衢州'],
				findQuestion: '',

			}
		},
		mounted() {
			this.getList()
		},

		methods: {
			formatDate(date) {
				return `${date.getFullYear() + 1}/${date.getMonth() + 1}/${date.getDate()}`;
			},
			onConfirm4findQuestion(value, index) {
				this.findQuestion = value;
				this.showPopup4findQuestion = false;
			},
			confirmDate(value) {
				console.log('value', value)
				this.createDate = this.formatDate(new Date(value))

				VUE.showPopup = false

				console.log('value', VUE.showPopup)
			},
			// 校验函数返回 true 表示校验通过，false 表示不通过
			validator(val) {
				return /1\d{10}/.test(val);
			},
			// 异步校验函数返回 Promise
			asyncValidator(val) {
				return new Promise((resolve) => {
					Toast.loading('验证中...');

					setTimeout(() => {
						Toast.clear();
						resolve(/\d{6}/.test(val));
					}, 1000);
				});
			},
			onFailed(errorInfo) {
				console.log('failed', errorInfo);
			},
			onSubmit(values) {
				console.log('submit', values);
			},
			nav(item) {
				location.href = './yh-list.html'
			},
			getList() {
				console.log('到底了，开始加载。。。。')
				for (let i = 0; i < 10; i++) {
					this.list.push(this.list.length + 1);
				}
				console.log(this.list)

				// 加载状态结束
				this.loading = false;

				//         // 数据全部加载完成
				if (this.list.length >= 40) {
					this.finished = true;
				}
			}
		},
	});
});